iShares Bitcoin Trust

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/ishares-bitcoin-trust/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/ishares-bitcoin-trust/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1790640000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "holding_net_change": 612.3503516400923
  },
  {
    "date": 1790726400000,
    "type": "sell",
    "coin_id": "bitcoin",
    "holding_net_change": -113.5755002104136
  },
  {
    "date": 1790812800000,
    "type": "flat",
    "coin_id": "bitcoin",
    "holding_net_change": 0.0
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/ishares-bitcoin-trust/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790726400000,
    801446.6454464798
  ],
  [
    1790812800000,
    801633.4192844598
  ],
  [
    1790899200000,
    803643.0469766798
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/ishares-bitcoin-trust/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790726400000,
    67036844369.04172
  ],
  [
    1790812800000,
    66974195542.30585
  ],
  [
    1790899200000,
    68135131832.50586
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/ishares-bitcoin-trust/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 47.17,
    "date": "2026-09-30",
    "high": 48.4563,
    "open": 48.23,
    "close": 47.34,
    "volume": 36073040
  },
  {
    "low": 47.22,
    "date": "2026-10-01",
    "high": 48.285,
    "open": 47.24,
    "close": 47.96,
    "volume": 31201001
  },
  {
    "low": 47.48,
    "date": "2026-10-02",
    "high": 49.39,
    "open": 49.035,
    "close": 47.73,
    "volume": 48429772
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/ishares-bitcoin-trust/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": null,
  "quarterly_earnings_growth": null,
  "eps_estimate_current_quarter": null
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/ishares-bitcoin-trust/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 9.0,
  "six_month_return": 25.7,
  "three_month_return": 32.14
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/ishares-bitcoin-trust/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": "-",
  "total_btc_percentage": 3.814,
  "share_price_change_state": ""
}